CREATE OR REPLACE PROCEDURE ADD_CIT_MED_PROCE (FECHA_CITA in DATE,HORA_CITA in DATE ,ID_CATALOGO_CITA in NUMBER,ID_PACIENTE in NUMBER) IS
BEGIN
    INSERT INTO CITAMEDICA (FECHA_CITA,HORA_CITA,ID_CATALOGO_CITA,ID_PACIENTE) VALUES (FECHA_CITA,HORA_CITA,ID_CATALOGO_CITA,ID_PACIENTE);
END;

CREATE SEQUENCE CIT_MED_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CIT_MED_TRIGGER  
   before insert on "CLINICA"."CITAMEDICA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CITA" is null then 
         select CIT_MED_SEQUENCE.nextval into :NEW."ID_CITA" from dual; 
      end if; 
   end if; 
end;





